Get credit spend attributed to tables and columns
curl --request GET \
--url https://api.getoneprofile.ai/credits/usage/by_table/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/credits/usage/by_table/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/credits/usage/by_table/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/credits/usage/by_table/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/credits/usage/by_table/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/credits/usage/by_table/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/credits/usage/by_table/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"entities": [
{
"avg_cost_per_unit": 123,
"credits_refunded": 123,
"credits_spent": 123,
"entry_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"subentities": [
{
"avg_cost_per_unit": 123,
"credits_refunded": 123,
"credits_spent": 123,
"entry_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"units": 123
}
],
"units": 123,
"deleted": false
}
],
"subentity_breakdown_since": "2023-11-07T05:31:56Z",
"total_credits_refunded": 123,
"total_credits_spent": 123,
"unattributed_credits": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}credits
Get credit spend attributed to tables and columns
Get the table/column attribution report.
GET
/
credits
/
usage
/
by_table
/
Get credit spend attributed to tables and columns
curl --request GET \
--url https://api.getoneprofile.ai/credits/usage/by_table/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/credits/usage/by_table/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/credits/usage/by_table/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/credits/usage/by_table/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/credits/usage/by_table/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/credits/usage/by_table/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/credits/usage/by_table/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"entities": [
{
"avg_cost_per_unit": 123,
"credits_refunded": 123,
"credits_spent": 123,
"entry_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"subentities": [
{
"avg_cost_per_unit": 123,
"credits_refunded": 123,
"credits_spent": 123,
"entry_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"units": 123
}
],
"units": 123,
"deleted": false
}
],
"subentity_breakdown_since": "2023-11-07T05:31:56Z",
"total_credits_refunded": 123,
"total_credits_spent": 123,
"unattributed_credits": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
Range start (ISO 8601)
Range end (ISO 8601)
Response
Successful Response
Credit spend attributed to tables/columns or providers/accounts.
Sorted by credits descending; includes an explicit unattributed entity.
Show child attributes
Show child attributes
Drill-down rows cover only the detailed window when the range crosses the rollup boundary.
The organization refunded total row, in decimal credits.
The organization total row, net of refunds, in decimal credits.
In decimal credits.
Was this page helpful?